import "./styles/index.css";
import type { App } from "vue";
import type { ToastGlobalOptions } from "./plugins/toast";
import type { AuthMethodGlobalOptions } from "./plugins/auth";
import type { MessageModalProps } from "./plugins/modal";
import type { PaymentOptions } from "./plugins/payment";
export interface UIKitOptions {
    components?: Record<string, any>;
    container?: string;
    toast?: ToastGlobalOptions;
    auth?: AuthMethodGlobalOptions;
    modal?: MessageModalProps;
    payment?: PaymentOptions;
}
export default function install(app: App, options?: UIKitOptions): void;

import type { VNode } from "vue";
import { ToastPlugin } from "./plugins/toast";
import { AuthPlugin } from "./plugins/auth";
import { ModalPlugin } from "./plugins/modal";
import { PaymentPlugin } from "./plugins/payment";

declare global {
  namespace JSX {
    interface Element extends VNode {}

    interface IntrinsicAttributes {
      [name: string]: any;
    }
  }
}

declare module "@vue/runtime-core" {
  interface UIKit {
    toast: ToastPlugin;
    auth: AuthPlugin;
    modal: ModalPlugin;
    payment: PaymentPlugin;
  }

  export interface ComponentCustomProperties {
    $uikit: UIKit;
  }

  export interface GlobalComponents {
    FActionBar: typeof import("@foxone/uikit/components")["FActionBar"];
    FAppBar: typeof import("@foxone/uikit/components")["FAppBar"];
    FAssetAmountInput: typeof import("@foxone/uikit/components")["FAssetAmountInput"];
    FAssetInputTools: typeof import("@foxone/uikit/components")["FAssetInputTools"];
    FAssetLogo: typeof import("@foxone/uikit/components")["FAssetLogo"];
    FAssetItem: typeof import("@foxone/uikit/components")["FAssetItem"];
    FAssetList: typeof import("@foxone/uikit/components")["FAssetList"];
    FAssetSelect: typeof import("@foxone/uikit/components")["FAssetSelect"];
    FAssetSelectField: typeof import("@foxone/uikit/components")["FAssetSelectField"];
    FSearchRecords: typeof import("@foxone/uikit/components")["FSearchRecords"];
    FAssetSwapForm: typeof import("@foxone/uikit/components")["FAssetSwapForm"];
    FAuthFennecInstall: typeof import("@foxone/uikit/components")["FAuthFennecInstall"];
    FAuthMetamaskInstall: typeof import("@foxone/uikit/components")["FAuthMetamaskInstall"];
    FAuthMethodModal: typeof import("@foxone/uikit/components")["FAuthMethodModal"];
    FAuthMixinMessenger: typeof import("@foxone/uikit/components")["FAuthMixinMessenger"];
    FAuthOnekeyInstall: typeof import("@foxone/uikit/components")["FAuthOnekeyInstall"];
    FAuthStep1: typeof import("@foxone/uikit/components")["FAuthStep1"];
    FAuthStep2: typeof import("@foxone/uikit/components")["FAuthStep2"];
    FBottomNav: typeof import("@foxone/uikit/components")["FBottomNav"];
    FButton: typeof import("@foxone/uikit/components")["FButton"];
    FDivider: typeof import("@foxone/uikit/components")["FDivider"];
    FFiatDivision: typeof import("@foxone/uikit/components")["FFiatDivision"];
    FHint: typeof import("@foxone/uikit/components")["FHint"];
    FHintActivator: typeof import("@foxone/uikit/components")["FHintActivator"];
    FHintLink: typeof import("@foxone/uikit/components")["FHintLink"];
    FInfiniteLoad: typeof import("@foxone/uikit/components")["FInfiniteLoad"];
    FInfoGrid: typeof import("@foxone/uikit/components")["FInfoGrid"];
    FInfoGridItem: typeof import("@foxone/uikit/components")["FInfoGridItem"];
    FInput: typeof import("@foxone/uikit/components")["FInput"];
    FListItem: typeof import("@foxone/uikit/components")["FListItem"];
    FFullscreenLoading: typeof import("@foxone/uikit/components")["FFullscreenLoading"];
    FLoading: typeof import("@foxone/uikit/components")["FLoading"];
    FMessageModal: typeof import("@foxone/uikit/components")["FMessageModal"];
    FModal: typeof import("@foxone/uikit/components")["FModal"];
    FPayingModal: typeof import("@foxone/uikit/components")["FPayingModal"];
    FPaymentModal: typeof import("@foxone/uikit/components")["FPaymentModal"];
    FCountryCodeSelect: typeof import("@foxone/uikit/components")["FCountryCodeSelect"];
    FPhoneInput: typeof import("@foxone/uikit/components")["FPhoneInput"];
    FQRCode: typeof import("@foxone/uikit/components")["FQRCode"];
    FRender: typeof import("@foxone/uikit/components")["FRender"];
    FSearchInput: typeof import("@foxone/uikit/components")["FSearchInput"];
    FSegmentControl: typeof import("@foxone/uikit/components")["FSegmentControl"];
    FSlider: typeof import("@foxone/uikit/components")["FSlider"];
    FSwitch: typeof import("@foxone/uikit/components")["FSwitch"];
    FTabs: typeof import("@foxone/uikit/components")["FTabs"];
    FTextarea: typeof import("@foxone/uikit/components")["FTextarea"];
    FToast: typeof import("@foxone/uikit/components")["FToast"];
    FTooltip: typeof import("@foxone/uikit/components")["FTooltip"];

  }
}
